<?php 
return [
    'form' => [
        'legend' => [
            'title' => $this->l('Настройки'),
            'icon' => 'icon-cogs',
        ],
        'input' => [
            [
                'type' => 'switch',
                'label' => $this->l('Режим тестирования'),
                'name' => 'VTBPAY_TEST_MODE',
                'is_bool' => true,
                'desc' => $this->l('В этом режиме оплата за товар не взимается.'),
                'values' => [
                    [
                        'id' => 'active_on',
                        'value' => true,
                        'label' => $this->l('Включено')
                    ],
                    [
                        'id' => 'active_off',
                        'value' => false,
                        'label' => $this->l('Отключено')
                    ]
                ],
                'value' => true
            ],
            [
                'type' => 'text',
                'prefix' => '<i class="icon icon-user"></i>',
                'desc' => $this->l('Введите Client ID'),
                'name' => 'VTBPAY_CLIENT_ID',
                'label' => $this->l('Client ID'),
            ],
            [
                'type' => 'text',
                'prefix' => '<i class="icon icon-lock"></i>',
                'desc' => $this->l('Введите Client Secret'),
                'name' => 'VTBPAY_CLIENT_SECRET',
                'label' => $this->l('Client Secret'),
            ],
            [
                'type' => 'text',
                'prefix' => '<i class="icon icon-tag"></i>',
                'desc' => $this->l('Введите Merchant-Authorization'),
                'name' => 'VTBPAY_CLIENT_MERCHANT',
                'label' => $this->l('Merchant-Authorization'),
            ],
            [
                'type' => 'switch',
                'label' => $this->l('Логирование'),
                'name' => 'VTBPAY_LOGGING',
                'is_bool' => true,
                'desc' => $this->l('Логирование используется для отладки производительности плагина путем сохранения данных запросов к API.'),
                'values' => [
                    [
                        'id' => 'active_on',
                        'value' => true,
                        'label' => $this->l('Включено')
                    ],
                    [
                        'id' => 'active_off',
                        'value' => false,
                        'label' => $this->l('Отключено')
                    ]
                ],
                'value' => true
            ],
            [
                'type' => 'text',
                'prefix' => '<i class="icon icon-link"></i>',
                'desc' => $this->l('Ссылка на страницу при успешной оплате (необязательное поле).'),
                'name' => 'VTBPAY_SUCCESSFUL_PAYMENT_PAGE',
                'label' => $this->l('Страница успешной оплаты'),
            ],
            [
                'type' => 'text',
                'prefix' => '<i class="icon icon-link"></i>',
                'desc' => $this->l('Ссылка на страницу при неуспешной оплате (необязательное поле).'),
                'name' => 'VTBPAY_FAILED_PAYMENT_PAGE',
                'label' => $this->l('Страница неудачной оплаты'),
            ]
        ],
        'submit' => [
            'title' => $this->l('Сохранить'),
        ],
    ],
];